load('14mag_imp_info.mat');
load rawmpcdata;

mco = (1+e).*a > 0.85*(1.52366231) & (1-e).*a < 1.15*(1.52366231) & Opp>1 & H <16;

fig1 = figure('color',[1 1 1]);
subplot(1,2,1);
plot(a(mco),Incl(mco),'.');
hold on
axis([1 4 0 40]);
plot([1 4], [15 15], 'color','r','LineWidth',1.5);
set(gca,'FontSize',9)
xlabel('Semi-Major Axis (AU)');
ylabel('Orbital Inclination (^o)');

subplot(1,2,2);
[f, xi] = ecdf(rad2deg(abs(inclinations(orb_incs <= 15))));
plot(f, xi,'LineWidth',1.5);
hold on
[f, xi] = ecdf(rad2deg(abs(inclinations(orb_incs > 15))));
plot(f,xi,'LineWidth',1.5);
set(gca,'FontSize',9)
ylabel('Encounter Inclination (^o)');
xlabel('Cumulative Probability');
axis([0 1 0 90]);
legend('Orbital Inc. \leq 15^o', 'Orbital Inc. > 15^o','Location','southeast');

fig1.PaperUnits = 'centimeters';
fig1.PaperPosition = [0 0 19 9.5];
print(fig1,'FIG5','-dtiffn','-r500');