% Pull the data from the file and find repeats of MCO's
%load('MARS.mat');
load('noclones.mat');
load('brightnesses.mat');

MARS = noclones;
names = noclonenames;
[~,ia,~] = unique(names(:,2),'legacy');
%Pull out the numerical data 
ca = MARS(ia, 1);
x1 = MARS(ia, 2:4);
v1 = MARS(ia, 5:7);
x2 = MARS(ia, 8:10);
v2 = MARS(ia,11:13);


%Set variables for physical constants
G = 6.67408e-11; %grav constant in m^3 kg^-1 s^-2
R = 3.3895e6; %radius of mars in m
M = 6.4171e23; %mass of mars in kg

len = length(x1);
inclinations = zeros(len,1);
speeds = zeros(len,1);
for i = 1:len
    tempname = names{i};
    tempname1 = tempname(3:end-1);
    idnum = str2num(tempname1);
    
    if strcmp(tempname,'') == 0 && strcmp(tempname,'Object') ==0
        if mags(idnum) <= 14
            r = x1(i,:);
            rdot = v1(i,:);
            h = cross(r,rdot); %get the angular momentum
            hhat = h/norm(h);
            vel = v2(i,:) - v1(i,:); %get deltav
            speeds(i) = 1.731e6*norm(vel);
            vhat = vel/norm(vel); 
            theta = acos(dot(hhat,vhat)); %get angle between h and v
            inclinations(i) = theta - pi/2; %save inclination
        else
            speeds(i) = NaN;
            inclinations(i) = NaN;  
        end
    end
end

save('14mag_imp_info.mat','inclinations','speeds');